[drivers] Fix warnings identified by gcc 4.5
authorBruce Rogers <brogers@novell.com>
Sat, 3 Apr 2010 00:16:38 +0000 (18:16 -0600)
committerMarty Connor <mdc@etherboot.org>
Fri, 16 Apr 2010 11:32:49 +0000 (07:32 -0400)
commitf7c5918b179be57fc7f352cb33664eb43de02c30
treee973cfc1dba4ccbc72ca4a3e363cbb7a2d44ef63
parent46d6ec7d77a041d8266d0d9811f57ba92e86599e
[drivers] Fix warnings identified by gcc 4.5

In building gpxe for openSUSE Factory (part of kvm package), there were
a few problems identified by the compiler.  This patch addresses them.

Signed-off-by: Bruce Rogers <brogers@novell.com>
Signed-off-by: Stefan Hajnoczi <stefanha@gmail.com>
Signed-off-by: Marty Connor <mdc@etherboot.org>
src/drivers/net/ath5k/ath5k_qcu.c
src/drivers/net/ns83820.c
src/drivers/net/tulip.c